#[derive(Debug)]
pub struct UniqueIdentifier {
    pub value: bool,
}

impl UniqueIdentifier {
    pub fn new(value: bool) -> Self {
        return UniqueIdentifier { value };
    }
}

#[cfg(test)]
mod tests {
    use super::*;
    use rstest::rstest;

    #[rstest]
    #[case(false)]
    #[case(true)]
    fn test_new(#[case] value: bool) {
        let ui = UniqueIdentifier::new(value);
        assert_eq!(value, ui.value);
    }
}
